Bug 23097 - Circulation Overdues report patron link goes to patron's holds tab
Summary: Circulation Overdues report patron link goes to patron's holds tab
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 18403
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-11 16:40 UTC by John Yorio
Modified: 2019-07-19 18:43 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23097: Fix regression on overdues report and link patrons to moremember (2.12 KB, patch)
2019-06-17 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23097: Fix regression on overdues report and link patrons to moremember (2.19 KB, patch)
2019-06-19 03:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23097: Fix regression on overdues report and link patrons to moremember (2.29 KB, patch)
2019-06-21 09:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description John Yorio 2019-06-11 16:40:37 UTC
Steps to reproduce:

Go to Circulation
Click Overdues
Apply any filters you know will return overdue items
Click Apply Filter
Click on a patron
Notice that it takes you to their Holds tab, and the URL ends with #reserves

At least as recently as 17.11, clicking the link took you to the patron's detail screen, not their holds.
Comment 1 Katrin Fischer 2019-06-17 21:39:31 UTC
Created attachment 90705 [details] [review]
Bug 23097: Fix regression on overdues report and link patrons to moremember

The link from the patron name in the circulation > overdues report
shouldn't point to the reserves tab, as this report is about checkouts.

The patch restores the behaviour as it was in 17.11.

To test:
- Make sure you have a patron account with overdue items
- If you don't have one, check out an item with specified due date in the
  past
- Go to Circulation > Overdues
- Veriy the overdue shows
- Click on the patron name that is linked
- Verify you go to the checkouts tab in patron account with holds tab selected
- Apply patch
- Reload Overdues report
- Verify the link now leads to the Details tab with the checkouts tab in front
Comment 2 Jonathan Druart 2019-06-19 03:20:56 UTC
Created attachment 90768 [details] [review]
Bug 23097: Fix regression on overdues report and link patrons to moremember

The link from the patron name in the circulation > overdues report
shouldn't point to the reserves tab, as this report is about checkouts.

The patch restores the behaviour as it was in 17.11.

To test:
- Make sure you have a patron account with overdue items
- If you don't have one, check out an item with specified due date in the
  past
- Go to Circulation > Overdues
- Veriy the overdue shows
- Click on the patron name that is linked
- Verify you go to the checkouts tab in patron account with holds tab selected
- Apply patch
- Reload Overdues report
- Verify the link now leads to the Details tab with the checkouts tab in front

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2019-06-19 03:21:43 UTC
Hum yes, not sure what happened to this occurrence, it has been handled in a separate commit which was not related. Looks like a wrong rebase conflict resolution.
Comment 4 Marcel de Rooy 2019-06-21 09:38:27 UTC
Created attachment 90885 [details] [review]
Bug 23097: Fix regression on overdues report and link patrons to moremember

The link from the patron name in the circulation > overdues report
shouldn't point to the reserves tab, as this report is about checkouts.

The patch restores the behaviour as it was in 17.11.

To test:
- Make sure you have a patron account with overdue items
- If you don't have one, check out an item with specified due date in the
  past
- Go to Circulation > Overdues
- Veriy the overdue shows
- Click on the patron name that is linked
- Verify you go to the checkouts tab in patron account with holds tab selected
- Apply patch
- Reload Overdues report
- Verify the link now leads to the Details tab with the checkouts tab in front

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Martin Renvoize 2019-06-21 12:13:57 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-16 06:27:13 UTC
Pushed to 19.05.x for 19.05.02
Comment 7 Lucas Gass 2019-07-19 18:43:09 UTC
backported to 18.11.x for 18.11.08